#import "~/modules/blog/components/BlogPostCard/BlogPostCard.fragment.gql"

query Blog($filter: ArticleModelFilter, $skip: IntType, $perPage: IntType) {
  _allArticlesMeta(filter: $filter) {
    count
  }

  allArticles(first: $perPage, filter: $filter, skip: $skip, orderBy: _firstPublishedAt_DESC) {
    ...BlogPostCard
  }
}
